import request from '@/utils/request'

// 查询专业分流申请列表
export function listNormalApply(query) {
  return request({
    url: '/major/normalApply/list',
    method: 'get',
    params: query
  })
}

// 查询专业分流申请详细
export function getNormalApply(majorApplyId) {
  return request({
    url: '/major/normalApply/' + majorApplyId,
    method: 'get'
  })
}

// 新增专业分流申请
export function addNormalApply(data) {
  return request({
    url: '/major/normalApply',
    method: 'post',
    data: data
  })
}

// 修改专业分流申请
export function updateNormalApply(data) {
  return request({
    url: '/major/normalApply',
    method: 'put',
    data: data
  })
}

// 删除专业分流申请
export function delNormalApply(majorApplyId) {
  return request({
    url: '/major/normalApply/' + majorApplyId,
    method: 'delete'
  })
}


// 导出专业分流申请文档
export function exportWord(data) {
  return request({
    url: '/major/normalApply/exportWord',
    method: 'post',
    data: data,
    responseType: "blob"
  })
}

